Get BigQuery Instance properties
List the Instance properties of the BigQuery instance using Instance ID.
Path Parameters
- Instance_id string required
ID of instance
Responses
- 200
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
instanceProperties object[]
clientAppType integerautoDiscovered booleanstatus integerisDeleted booleanapplicationSize integerexcludeFromSLA booleanscIdxEnabled integerisSnapEnabled booleanisLogBackupHistoryEnabled booleaninstance object
clientName stringinstanceName stringdisplayName stringinstanceId integerinstanceGUID stringclientId integerappName stringapplicationId integerentityInfo object
companyId integercompanyName stringmultiCommcellId integerinstanceActivityControl object
activityControlOptions object[]
activityType integerenableAfterADelay booleanenableActivityType booleancloudAppsInstance object
instanceType integerobjectStorageInstance object
isCustomerManagedAccessNode booleanisDataRoomExportDestination booleangeneralCloudProperties object
accessNodes object
memberServers object[]
client object
_SubclType_ integerclientGroupName stringclientGroupId integer_type_ integercloudBigQueryInstance object
cloudStagingPath stringprojectId stringplanEntity object
planType integerplanName stringplanSubtype integerplanId integercredentialEntity object
credentialId integercredentialName stringcloudDBInstance object
overRideAccessNode booleanaccessNodes object
{
"instanceProperties": [
{
"clientAppType": 0,
"autoDiscovered": true,
"status": 0,
"isDeleted": true,
"applicationSize": 0,
"excludeFromSLA": true,
"scIdxEnabled": 0,
"isSnapEnabled": true,
"isLogBackupHistoryEnabled": true,
"instance": {
"clientName": "string",
"instanceName": "string",
"displayName": "string",
"instanceId": 0,
"instanceGUID": "string",
"clientId": 0,
"appName": "string",
"applicationId": 0,
"entityInfo": {
"companyId": 0,
"companyName": "string",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 0,
"enableAfterADelay": true,
"enableActivityType": true
}
]
},
"cloudAppsInstance": {
"instanceType": 0,
"objectStorageInstance": {
"isCustomerManagedAccessNode": true,
"isDataRoomExportDestination": true
},
"generalCloudProperties": {
"accessNodes": {
"memberServers": [
{
"client": {
"_SubclType_": 0,
"clientGroupName": "string",
"clientGroupId": 0,
"_type_": 0
}
}
]
}
},
"cloudBigQueryInstance": {
"cloudStagingPath": "string",
"projectId": "string"
}
},
"planEntity": {
"planType": 0,
"planName": "string",
"planSubtype": 0,
"planId": 0
},
"credentialEntity": {
"credentialId": 0,
"credentialName": "string"
},
"cloudDBInstance": {
"overRideAccessNode": true,
"accessNodes": {}
}
}
]
}
{
"instanceProperties": [
{
"clientAppType": 1,
"autoDiscovered": false,
"status": 0,
"isDeleted": false,
"applicationSize": 0,
"excludeFromSLA": false,
"scIdxEnabled": 1,
"isSnapEnabled": false,
"isLogBackupHistoryEnabled": false,
"instance": {
"clientName": "BQ_Hyp",
"instanceName": "BigQuery2",
"displayName": "BQ_Hyp",
"instanceId": 1336,
"instanceGUID": "B6405C1A-46D0-AAAA-A9B5-6E5EC2AAAAAA",
"clientId": 1206,
"appName": "Cloud Apps",
"applicationId": 134,
"entityInfo": {
"companyId": 6,
"companyName": "Team-Database",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 1,
"enableAfterADelay": false,
"enableActivityType": true
},
{
"activityType": 2,
"enableAfterADelay": false,
"enableActivityType": true
}
]
},
"cloudAppsInstance": {
"instanceType": 42,
"objectStorageInstance": {
"isCustomerManagedAccessNode": true,
"isDataRoomExportDestination": false
},
"generalCloudProperties": {
"accessNodes": {
"memberServers": [
{
"client": {
"_SubclType_": 0,
"clientGroupName": "BQ_gcpm",
"clientGroupId": 959,
"_type_": 28
}
}
]
}
},
"cloudBigQueryInstance": {
"cloudStagingPath": "AUTOMATIC",
"projectId": "sqltestbigquery-d"
}
},
"planEntity": {
"planType": 2,
"planName": "gcp_m065_plan",
"planSubtype": 33554437,
"planId": 452
},
"credentialEntity": {
"credentialId": 0,
"credentialName": ""
},
"cloudDBInstance": {
"overRideAccessNode": false,
"accessNodes": {}
}
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "string",
"errorCode": 0
}
Loading...